$main-color: #218cf8;
$sidebar-button: #218cf8;
$select-color: #1a71c7;
$second-color: #1ea9db;

*{
  font-size: small !important;
}

.ant-form-item {
  margin-bottom: 5px !important;
}

.ant-tabs-tab.ant-tabs-tab-active .ant-tabs-tab-btn {
  color: $main-color !important;
  text-shadow: 0 0 0.25px currentcolor;
}

.ant-tabs-tab:hover {
  color: $main-color !important;
}

body {
  margin: 0px;
}

.ant-input:hover {
  border-color: $main-color !important;
  border-right-width: 1px;
}

.ant-input:focus {
  border-color: $main-color !important;
  border-right-width: 1px;
  box-shadow: none !important;
}

.ant-input:active {
  box-shadow: none !important;
}

.ant-input-affix-wrapper-focused {
  border-color: $main-color !important;
  box-shadow: none !important;
}

a:hover {
  color: $main-color !important;
}

.ant-pagination-item:hover {
  display: inline-block;
  color: $main-color !important;
  min-width: 32px;
  height: 32px;
  margin-right: 8px;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Helvetica Neue', Arial,
    'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol',
    'Noto Color Emoji';
  line-height: 30px;
  text-align: center;
  vertical-align: middle;
  list-style: none;
  background-color: #fff;
  border: 1px solid $main-color !important;
  border-radius: 2px;
  outline: 0;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.ant-upload.ant-upload-drag:hover {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  background: #fafafa;
  border: 1px dashed $main-color !important;
  border-radius: 2px;
  cursor: pointer;
  transition: border-color 0.3s;
}

.ant-input-number:hover {
  box-sizing: border-box;
  font-variant: tabular-nums;
  list-style: none;
  font-feature-settings: 'tnum';
  position: relative;
  width: 100%;
  min-width: 0;
  padding: 4px 11px;
  color: rgba(0, 0, 0, 0.85);
  font-size: 14px;
  line-height: 1.5715;
  background-color: #fff;
  background-image: none;
  transition: all 0.3s;
  display: inline-block;
  width: 90px;
  margin: 0;
  padding: 0;
  border: 1px solid $main-color !important;
  border-radius: 2px;
}

.ant-pagination-item-active a {
  color: $main-color !important;
}

.ant-alert-info .ant-alert-icon {
  color: $main-color !important;
}

.ant-pagination-item-active {
  font-weight: 500;
  background: #fff;
  border-color: $main-color !important;
}

.ant-picker:hover {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  color: rgba(0, 0, 0, 0.85);
  font-size: 14px;
  font-variant: tabular-nums;
  line-height: 1.5715;
  list-style: none;
  font-feature-settings: 'tnum';
  padding: 4px 11px 4px;
  position: relative;
  display: inline-flex;
  align-items: center;
  background: #fff;
  border: 1px solid $main-color !important;
  border-radius: 2px;
  transition: border 0.3s, box-shadow 0.3s;
}

.ant-picker:focus {
  box-shadow: none !important;
}

html {
  --antd-wave-shadow-color: $select-button !important;
  --scroll-bar: 0;
}

.ant-input-affix-wrapper:not(.ant-input-affix-wrapper-disabled):hover {
  border-color: $main-color !important;
  border-right-width: 1px;
  z-index: 1;
}

.ant-select:not(.ant-select-disabled):hover .ant-select-selector {
  border-color: $main-color !important;
  border-right-width: 1px;
}

.ant-btn-primary {
  color: #fff;
  border-color: $sidebar-button !important;
  background: $sidebar-button !important;
  text-shadow: 0 -1px 0 rgb(0 0 0 / 12%);
  box-shadow: 0 2px 0 rgb(0 0 0 / 5%);
}

.ant-btn:hover {
  border-color: $main-color !important;
  color: $main-color !important;
}

.ant-btn:focus {
  border-color: $main-color !important;
  color: $main-color !important;
}

.ant-switch-checked {
  background-color: $main-color !important;
}

.ant-btn-primary:hover,
.ant-btn-primary:focus {
  color: #fff !important;
  border-color: $main-color !important;
  background: $main-color !important;
}

.ant-menu-vertical .ant-menu-item::after,
.ant-menu-vertical-left .ant-menu-item::after,
.ant-menu-vertical-right .ant-menu-item::after,
.ant-menu-inline .ant-menu-item::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  // border-right: 3px solid $second-color !important;
  transform: scaleY(0.0001);
  opacity: 0;
  transition: transform 0.15s cubic-bezier(0.215, 0.61, 0.355, 1),
    opacity 0.15s cubic-bezier(0.215, 0.61, 0.355, 1);
  content: '';
}

body {
  overflow-x: hidden !important;
}

td.ant-table-cell {
  padding: 10px 16px !important;
  white-space: nowrap !important;
}

.ant-pagination {
  margin-bottom: 0;
}

.ant-input-number {
  width: 100% !important;
}
.ant-layout-sider-trigger {
  background: $sidebar-button !important;
}
.ant-layout-sider-children {
  background: $main-color !important;
  max-width: 200px;
}
.ant-layout-sider {
  height: 100vh;
}
.ant-menu-submenu-arrow,
.ant-menu,
.ant-menu-item {
  background: $main-color !important;
  color: #ffffff;
  width: auto;
}
.ant-menu-item {
  width: auto !important;
}
.ant-menu-item a {
  color: #fff;
}
.ant-menu-submenu-arrow:hover,
.ant-menu-item a:hover,
.ant-menu-submenu-title:hover,
.ant-menu-item:hover,
.ant-menu-item i:hover,
.ant-menu-item-selected:hover,
.ant-menu-item-selected a:hover {
  color: white !important;
}

.ant-menu-submenu-arrow::before {
  color: white;
}
.ant-menu-submenu-arrow::after {
  color: white;
}

.ant-menu-item-selected {
  background: $select-color !important;
  width: auto !important;
  color: $second-color !important;
}
.ant-menu-submenu-selected .ant-menu-submenu-title,
.ant-menu-submenu-active {
  color: white !important;
}
.ant-layout-header {
  background: $main-color !important;
}

.ant-picker {
  width: 100%;
}

.ant-menu-title-content a{
  color: white !important;
}

.ant-menu-item:hover{
  background-color: $second-color !important;
}
.ant-menu-submenu-title:hover{
  background-color: $second-color !important;
}

.ant-col .ant-form-item-label {
  width: 140px !important;
  margin-right: 10px !important;
}

.ant-form-item .ant-form-item-control-input {
  // width: 200px !important;
}

